'use strict';

// Configuring the hostNames module
angular.module('hostNames').run(['Menus',
  function (Menus) {
    // Add the hostNames dropdown item
    Menus.addMenuItem('topbar', {
      title: 'Host Names',
      state: 'hostNames',
      type: 'dropdown',
      roles: ['*']
    });

    // Add the dropdown list item
    Menus.addSubMenuItem('topbar', 'hostNames', {
      title: 'List Host Names',
      state: 'hostNames.list'
    });

    // Add the dropdown create item
    Menus.addSubMenuItem('topbar', 'hostNames', {
      title: 'Create Host Names',
      state: 'hostNames.create',
      roles: ['user']
    });
    
    // Add the dropdown generate item
    Menus.addSubMenuItem('topbar', 'hostNames', {
      title: 'Generate Host Names',
      state: 'hostNames.generate',
      roles: ['user']
    });
  }
]);
